package cn.com.victorysoft.business.condition.dao;

import cn.com.victorysoft.business.condition.entity.AbnormalUnit;
import cn.com.victorysoft.business.condition.entity.AdjustPlan;
import cn.com.victorysoft.business.sys.param.UnitBlockDateWellPageParam;
import cn.com.victorysoft.business.sys.param.UnitDatePageParam;
import cn.com.victorysoft.business.sys.param.UnitDateParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.Date;
import java.util.List;

@Mapper
public interface AbnormalUnitDao {
    AbnormalUnit selectUnit(UnitDatePageParam param);

    List<AbnormalUnit> selectChildren(UnitDatePageParam param);

    int deleteByPrimaryKey(AbnormalUnit key);

    int deleteByDate(Date date);

    int insert(AbnormalUnit record);

    AbnormalUnit selectByPrimaryKey(AbnormalUnit key);

    int updateByPrimaryKeySelective(AbnormalUnit record);

    int updateByPrimaryKey(AbnormalUnit record);
}